<?php
if ($_SERVER["REQUEST_METHOD"] == "GET") {
    $directorio_actual = isset($_GET['carpeta']) ? $_GET['carpeta'] : './archivos/';
    $archivo_a_borrar = $directorio_actual . $_GET['archivo'];

    // Verificar si el archivo existe y es un archivo (no una carpeta)
    if (file_exists($archivo_a_borrar) && is_file($archivo_a_borrar)) {
        // Intentar eliminar el archivo
        if (unlink($archivo_a_borrar)) {
            // Redirigir al usuario de vuelta al directorio actual
            header('Location: index.php?carpeta=' . urlencode($directorio_actual));
            exit; // Salir del script después de la redirección
        } else {
            echo 'Error al intentar borrar el archivo.';
        }
    } else {
        echo 'El archivo no existe o no es un archivo válido.';
    }
} else {
    header('Location: index.php');
}
?>
